<html>
 <head>
    <style>
        #fondo {
            background-image: url("https://images.pexels.com/photos/260689/pexels-photo-260689.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
            height: 100vh;
            width: 100%;
            background-size: cover;
            background-repeat: no repeat;
            background-position: center;
            background-attachment: fixed;
            padding: 20px;
            margin: auto;

        }
    </style>
 </head>
 <body>
   <div id="fondo">
<hr class="bordes" />
  
        <form  #form="ngForm" (ngSubmit)="login()"  class="custom-form auth-form" novalidate="" >
          <h2><img src="https://www.tecazuay.edu.ec/assets/img/logo.png" class="izquierda"></h2>
            <div class="form-group">
            <h2>Login</h2>
                <mat-form-field>
              <input matInput placeholder="username" name="username" required [(ngModel)]="usuario">
                </mat-form-field>
            </div>
            <div class="form-group">
             <mat-form-field>
                   <input matInput placeholder="Password" [(ngModel)]="pass" type="password" name="pass" required>
              
            </mat-form-field>
            </div>
            <a class="forgot-password" [routerLink]="['/auth/forgot-password']">¿Olvidastes tu contraseña?</a>
            
            <div class="form-button">
          <button  type="submit"   [disabled]="!form.valid"  >Ingresar</button>
          
            </div>
            <p *ngIf="error" class="error">
                    {{ error }}
                </p>
        </form>
  </div>
  
 </body>
    
</html>